Omniplex Docs

Reports

These API endpoints let a user file a report against any votable entity

GET
/reports/stats

Get Report Stats

Returns anonymized counts of reports grouped by reason and status

/reports/stats
curl -X GET "https://spider.omniplex.gg/reports/stats"

Success

[
  {
    "count": 0,
    "reason": "string",
    "status": "string"
  }
]

PUT
/users/{uid}/{target_type}/{target_id}/reports

Create Report

Files a report against any votable entity. Returns 204 on success

/users/{uid}/{target_type}/{target_id}/reports

The Authorization access token

Authorization

User-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

In: header

Request Body

application/jsonRequired

descriptionstring

reasonstring

Value in: "license_violation" | "tos_violation" | "spam" | "other"

Path Parameters

uid
Required
string

The reporting user's ID

target_type
Required
string

The target type of the entity being reported

target_id
Required
string

The ID of the entity being reported

curl -X PUT "https://spider.omniplex.gg/users/string/string/string/reports" \
  -H "User-Auth: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "string",
    "reason": "license_violation"
  }'

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}